package com.dgtly.sync.exception;

import com.dgtly.common.exception.base.BaseException;
import com.dgtly.common.utils.MessageUtils;
import com.dgtly.common.utils.StringUtils;
import com.dgtly.sync.domain.MetaEmployeeDiy;

public class OutOfScopeDIYException extends BaseException  {

    private String msg;

    /**
     * 用户信息
     */
    private MetaEmployeeDiy metaEmployeeDiy;
    public OutOfScopeDIYException(MetaEmployeeDiy m) {

        super("sync","500",
                new Object[] { "用户:"+m.getName(),
                        "packageId:"+m.getPackageId()},null);
        String s = "用户:"+m.getName()+"不在diy筛选范围内";
        this.metaEmployeeDiy = m;
        this.msg = s;

    }

    @Override
    public String getMessage()
    {
        return msg;
    }

    public MetaEmployeeDiy getMetaNipponOrgRelation() {
        return metaEmployeeDiy;
    }
}
